Mailing List Archive

ubuntu mythtv fixes packages haven't 'auto built' since mid july
Greetings!

I was wondering if someone could ‘kick’ the build on mythtv fixes as it hasn’t been built since around 7/13.

Thanks!
_______________________________________________
mythtv-users mailing list
mythtv-users@mythtv.org
http://lists.mythtv.org/mailman/listinfo/mythtv-users
http://wiki.mythtv.org/Mailing_List_etiquette
MythTV Forums: https://forum.mythtv.org
Re: ubuntu mythtv fixes packages haven't 'auto built' since mid july [ In reply to ]
I'm assuming this was for 0.28 builds? I've just fixed them.

On Thu, Aug 31, 2017 at 10:15 AM jrh <jharbestonus@gmail.com> wrote:

> Greetings!
>
> I was wondering if someone could ‘kick’ the build on mythtv fixes as it
> hasn’t been built since around 7/13.
>
> Thanks!
> _______________________________________________
> mythtv-users mailing list
> mythtv-users@mythtv.org
> http://lists.mythtv.org/mailman/listinfo/mythtv-users
> http://wiki.mythtv.org/Mailing_List_etiquette
> MythTV Forums: https://forum.mythtv.org
>
--
-Thomas
Re: ubuntu mythtv fixes packages haven't 'auto built' since mid july [ In reply to ]
Yes .28 is correct.
Thanks!

> On Sep 2, 2017, at 7:31 PM, Thomas Mashos <thomas@mashos.com> wrote:
>
> I'm assuming this was for 0.28 builds? I've just fixed them.
>
>> On Thu, Aug 31, 2017 at 10:15 AM jrh <jharbestonus@gmail.com> wrote:
>> Greetings!
>>
>> I was wondering if someone could ‘kick’ the build on mythtv fixes as it hasn’t been built since around 7/13.
>>
>> Thanks!
>> _______________________________________________
>> mythtv-users mailing list
>> mythtv-users@mythtv.org
>> http://lists.mythtv.org/mailman/listinfo/mythtv-users
>> http://wiki.mythtv.org/Mailing_List_etiquette
>> MythTV Forums: https://forum.mythtv.org
>
> --
> -Thomas
> _______________________________________________
> mythtv-users mailing list
> mythtv-users@mythtv.org
> http://lists.mythtv.org/mailman/listinfo/mythtv-users
> http://wiki.mythtv.org/Mailing_List_etiquette
> MythTV Forums: https://forum.mythtv.org
Re: ubuntu mythtv fixes packages haven't 'auto built' since mid july [ In reply to ]
Hi all,

I updated my 0.28 installation today to 0.28.20170903 and my installation
now indicates that mythtv-common and mythweb are held back yet all other
packages upgraded.

It appears that mythtv-common it is held back due to missing dependencies
on python-future and python-requests-cache which are indicated to be
unavailable. Anyone have any guidance as to what to do now? It looks like
my metadata collection jobs now appear to be failing and I assume it is
because I have a system which partially on the 2010903 version.

Any suggestions on what I might be able to do to restore version
consistency?

Thanks,
Tim

On Sat, Sep 2, 2017 at 8:47 PM Jay Harbeston (ISeePeople) <
jharbestonus@gmail.com> wrote:

> Yes .28 is correct.
> Thanks!
>
> On Sep 2, 2017, at 7:31 PM, Thomas Mashos <thomas@mashos.com> wrote:
>
> I'm assuming this was for 0.28 builds? I've just fixed them.
>
> On Thu, Aug 31, 2017 at 10:15 AM jrh <jharbestonus@gmail.com> wrote:
>
>> Greetings!
>>
>> I was wondering if someone could ‘kick’ the build on mythtv fixes as it
>> hasn’t been built since around 7/13.
>>
>> Thanks!
>> _______________________________________________
>> mythtv-users mailing list
>> mythtv-users@mythtv.org
>> http://lists.mythtv.org/mailman/listinfo/mythtv-users
>> http://wiki.mythtv.org/Mailing_List_etiquette
>> MythTV Forums: https://forum.mythtv.org
>>
> --
> -Thomas
>
> _______________________________________________
> mythtv-users mailing list
> mythtv-users@mythtv.org
> http://lists.mythtv.org/mailman/listinfo/mythtv-users
> http://wiki.mythtv.org/Mailing_List_etiquette
> MythTV Forums: https://forum.mythtv.org
>
> _______________________________________________
> mythtv-users mailing list
> mythtv-users@mythtv.org
> http://lists.mythtv.org/mailman/listinfo/mythtv-users
> http://wiki.mythtv.org/Mailing_List_etiquette
> MythTV Forums: https://forum.mythtv.org
>
Re: ubuntu mythtv fixes packages haven't 'auto built' since mid july [ In reply to ]
On 04/09/17 21:24, Tim Pletcher wrote:
> Hi all,
>
> I updated my 0.28 installation today to 0.28.20170903 and my
> installation now indicates that mythtv-common and mythweb are held
> back yet all other packages upgraded.
>
> It appears that mythtv-common it is held back due to missing
> dependencies on python-future and python-requests-cache which are
> indicated to be unavailable. Anyone have any guidance as to what to do
> now? It looks like my metadata collection jobs now appear to be
> failing and I assume it is because I have a system which partially on
> the 2010903 version.
>
> Any suggestions on what I might be able to do to restore version
> consistency?
>
> Thanks,
> Tim
>
> On Sat, Sep 2, 2017 at 8:47 PM Jay Harbeston (ISeePeople)
> <jharbestonus@gmail.com <mailto:jharbestonus@gmail.com>> wrote:
>
> Yes .28 is correct.
> Thanks!
>
> On Sep 2, 2017, at 7:31 PM, Thomas Mashos <thomas@mashos.com
> <mailto:thomas@mashos.com>> wrote:
>
>> I'm assuming this was for 0.28 builds? I've just fixed them.
>>
>> On Thu, Aug 31, 2017 at 10:15 AM jrh <jharbestonus@gmail.com
>> <mailto:jharbestonus@gmail.com>> wrote:
>>
>> Greetings!
>>
>> I was wondering if someone could ‘kick’ the build on mythtv
>> fixes as it hasn’t been built since around 7/13.
>>
>> Thanks!
>> _______________________________________________
>> mythtv-users mailing list
>> mythtv-users@mythtv.org <mailto:mythtv-users@mythtv.org>
>> http://lists.mythtv.org/mailman/listinfo/mythtv-users
>> http://wiki.mythtv.org/Mailing_List_etiquette
>> MythTV Forums: https://forum.mythtv.org
>>
>> --
>> -Thomas
>

Just a thought, when things get held back I try:

sudo apt update
sudo apt dist-upgrade


I have a Lubuntu 16.04 system (kernel 4.10.0.33 from hwe stack) with the
latest 0.28/fixes, including mythweb. python-future and
python-requests-cache are installed.

Mike
Re: ubuntu mythtv fixes packages haven't 'auto built' since mid july [ In reply to ]
On 09/04/2017 04:24 PM, Tim Pletcher wrote:
> Hi all,
>
> I updated my 0.28 installation today to 0.28.20170903 and my
> installation now indicates that mythtv-common and mythweb are held
> back yet all other packages upgraded.
>
> It appears that mythtv-common it is held back due to missing
> dependencies on python-future and python-requests-cache which are
> indicated to be unavailable. Anyone have any guidance as to what to do
> now? It looks like my metadata collection jobs now appear to be
> failing and I assume it is because I have a system which partially on
> the 2010903 version.
>
> Any suggestions on what I might be able to do to restore version
> consistency?
>
> Thanks,
> Tim
Those packages are available in ubuntu xenial (16.04) but not earlier
versions. I assume you have an older version of ubuntu.

Here is my suggestion

Go to Ubuntu package search https://packages.ubuntu.com/
Search for the following packages in ubuntu-xenial: python-future,
python-requests, python-requests-cache
Click on the package name in the web page
At the bottom of the page there are download links for architecture "all"
Download the deb file for each package
install gdebi-core on your system
Use "sudo gdebi" to install each of these packages.
Then go back and upgrade again.

This should work, the xenial packages do not have any strange dependencies.

Peter

_______________________________________________
mythtv-users mailing list
mythtv-users@mythtv.org
http://lists.mythtv.org/mailman/listinfo/mythtv-users
http://wiki.mythtv.org/Mailing_List_etiquette
MythTV Forums: https://forum.mythtv.org
Re: ubuntu mythtv fixes packages haven't 'auto built' since mid july [ In reply to ]
Mike,


On Mon, Sep 4, 2017, 4:45 PM Mike Bibbings <mike.bibbings@gmail.com> wrote:

> On 04/09/17 21:24, Tim Pletcher wrote:
>
> Hi all,
>
> I updated my 0.28 installation today to 0.28.20170903 and my installation
> now indicates that mythtv-common and mythweb are held back yet all other
> packages upgraded.
>
> It appears that mythtv-common it is held back due to missing dependencies
> on python-future and python-requests-cache which are indicated to be
> unavailable. Anyone have any guidance as to what to do now? It looks like
> my metadata collection jobs now appear to be failing and I assume it is
> because I have a system which partially on the 2010903 version.
>
> Any suggestions on what I might be able to do to restore version
> consistency?
>
> Thanks,
> Tim
>
> On Sat, Sep 2, 2017 at 8:47 PM Jay Harbeston (ISeePeople) <
> jharbestonus@gmail.com> wrote:
>
>> Yes .28 is correct.
>> Thanks!
>>
>> On Sep 2, 2017, at 7:31 PM, Thomas Mashos <thomas@mashos.com> wrote:
>>
>> I'm assuming this was for 0.28 builds? I've just fixed them.
>>
>> On Thu, Aug 31, 2017 at 10:15 AM jrh <jharbestonus@gmail.com> wrote:
>>
>>> Greetings!
>>>
>>> I was wondering if someone could ‘kick’ the build on mythtv fixes as it
>>> hasn’t been built since around 7/13.
>>>
>>> Thanks!
>>> _______________________________________________
>>> mythtv-users mailing list
>>> mythtv-users@mythtv.org
>>> http://lists.mythtv.org/mailman/listinfo/mythtv-users
>>> http://wiki.mythtv.org/Mailing_List_etiquette
>>> MythTV Forums: https://forum.mythtv.org
>>>
>> --
>> -Thomas
>>
>>
>> Just a thought, when things get held back I try:
>
> sudo apt update
> sudo apt dist-upgrade
>
>
> I have a Lubuntu 16.04 system (kernel 4.10.0.33 from hwe stack) with the
> latest 0.28/fixes, including mythweb. python-future and
> python-requests-cache are installed.
>
>
> Mike
>
>
>
> _______________________________________________
> mythtv-users mailing list
> mythtv-users@mythtv.org
> http://lists.mythtv.org/mailman/listinfo/mythtv-users
> http://wiki.mythtv.org/Mailing_List_etiquette
> MythTV Forums: https://forum.mythtv.org

Mike,

Thanks for the suggestion but I already tried dist-upgrade.

I am on Ubuntu 14.04 (Trusty) equivalent, actually Linux Mint 17.3.
python-future and python-requests-cache are simply not available. Should I
try to grab them from another ppa repo?

Also sorry for top-posting first time. I don't post on here very often and
I hadn't figured out how to make Google Inbox append to the bottom.....

Thanks,
Tim


>
Re: ubuntu mythtv fixes packages haven't 'auto built' since mid july [ In reply to ]
On Mon, Sep 4, 2017 at 2:02 PM Tim Pletcher <pletchtd@gmail.com> wrote:

> Mike,
>
>
> On Mon, Sep 4, 2017, 4:45 PM Mike Bibbings <mike.bibbings@gmail.com>
> wrote:
>
>> On 04/09/17 21:24, Tim Pletcher wrote:
>>
>> Hi all,
>>
>> I updated my 0.28 installation today to 0.28.20170903 and my installation
>> now indicates that mythtv-common and mythweb are held back yet all other
>> packages upgraded.
>>
>> It appears that mythtv-common it is held back due to missing dependencies
>> on python-future and python-requests-cache which are indicated to be
>> unavailable. Anyone have any guidance as to what to do now? It looks like
>> my metadata collection jobs now appear to be failing and I assume it is
>> because I have a system which partially on the 2010903 version.
>>
>> Any suggestions on what I might be able to do to restore version
>> consistency?
>>
>> Thanks,
>> Tim
>>
>> On Sat, Sep 2, 2017 at 8:47 PM Jay Harbeston (ISeePeople) <
>> jharbestonus@gmail.com> wrote:
>>
>>> Yes .28 is correct.
>>> Thanks!
>>>
>>> On Sep 2, 2017, at 7:31 PM, Thomas Mashos <thomas@mashos.com> wrote:
>>>
>>> I'm assuming this was for 0.28 builds? I've just fixed them.
>>>
>>> On Thu, Aug 31, 2017 at 10:15 AM jrh <jharbestonus@gmail.com> wrote:
>>>
>>>> Greetings!
>>>>
>>>> I was wondering if someone could ‘kick’ the build on mythtv fixes as it
>>>> hasn’t been built since around 7/13.
>>>>
>>>> Thanks!
>>>> _______________________________________________
>>>> mythtv-users mailing list
>>>> mythtv-users@mythtv.org
>>>> http://lists.mythtv.org/mailman/listinfo/mythtv-users
>>>> http://wiki.mythtv.org/Mailing_List_etiquette
>>>> MythTV Forums: https://forum.mythtv.org
>>>>
>>> --
>>> -Thomas
>>>
>>>
>>> Just a thought, when things get held back I try:
>>
>> sudo apt update
>> sudo apt dist-upgrade
>>
>>
>> I have a Lubuntu 16.04 system (kernel 4.10.0.33 from hwe stack) with the
>> latest 0.28/fixes, including mythweb. python-future and
>> python-requests-cache are installed.
>>
>>
>> Mike
>>
>>
>>
>> _______________________________________________
>> mythtv-users mailing list
>> mythtv-users@mythtv.org
>> http://lists.mythtv.org/mailman/listinfo/mythtv-users
>> http://wiki.mythtv.org/Mailing_List_etiquette
>> MythTV Forums: https://forum.mythtv.org
>
> Mike,
>
> Thanks for the suggestion but I already tried dist-upgrade.
>
> I am on Ubuntu 14.04 (Trusty) equivalent, actually Linux Mint 17.3.
> python-future and python-requests-cache are simply not available. Should I
> try to grab them from another ppa repo?
>
> Also sorry for top-posting first time. I don't post on here very often and
> I hadn't figured out how to make Google Inbox append to the bottom.....
>
> Thanks,
> Tim
>
>
>> _______________________________________________
>
>

This is exactly why I wanted to blacklist further builds on trusty.
--
-Thomas
Re: ubuntu mythtv fixes packages haven't 'auto built' since mid july [ In reply to ]
On Mon, Sep 4, 2017 at 2:48 PM Thomas Mashos <thomas@mashos.com> wrote:

> On Mon, Sep 4, 2017 at 2:02 PM Tim Pletcher <pletchtd@gmail.com> wrote:
>
>> Mike,
>>
>>
>> On Mon, Sep 4, 2017, 4:45 PM Mike Bibbings <mike.bibbings@gmail.com>
>> wrote:
>>
>>> On 04/09/17 21:24, Tim Pletcher wrote:
>>>
>>> Hi all,
>>>
>>> I updated my 0.28 installation today to 0.28.20170903 and my
>>> installation now indicates that mythtv-common and mythweb are held back yet
>>> all other packages upgraded.
>>>
>>> It appears that mythtv-common it is held back due to missing
>>> dependencies on python-future and python-requests-cache which are indicated
>>> to be unavailable. Anyone have any guidance as to what to do now? It
>>> looks like my metadata collection jobs now appear to be failing and I
>>> assume it is because I have a system which partially on the 2010903 version.
>>>
>>> Any suggestions on what I might be able to do to restore version
>>> consistency?
>>>
>>> Thanks,
>>> Tim
>>>
>>> On Sat, Sep 2, 2017 at 8:47 PM Jay Harbeston (ISeePeople) <
>>> jharbestonus@gmail.com> wrote:
>>>
>>>> Yes .28 is correct.
>>>> Thanks!
>>>>
>>>> On Sep 2, 2017, at 7:31 PM, Thomas Mashos <thomas@mashos.com> wrote:
>>>>
>>>> I'm assuming this was for 0.28 builds? I've just fixed them.
>>>>
>>>> On Thu, Aug 31, 2017 at 10:15 AM jrh <jharbestonus@gmail.com> wrote:
>>>>
>>>>> Greetings!
>>>>>
>>>>> I was wondering if someone could ‘kick’ the build on mythtv fixes as
>>>>> it hasn’t been built since around 7/13.
>>>>>
>>>>> Thanks!
>>>>> _______________________________________________
>>>>> mythtv-users mailing list
>>>>> mythtv-users@mythtv.org
>>>>> http://lists.mythtv.org/mailman/listinfo/mythtv-users
>>>>> http://wiki.mythtv.org/Mailing_List_etiquette
>>>>> MythTV Forums: https://forum.mythtv.org
>>>>>
>>>> --
>>>> -Thomas
>>>>
>>>>
>>>> Just a thought, when things get held back I try:
>>>
>>> sudo apt update
>>> sudo apt dist-upgrade
>>>
>>>
>>> I have a Lubuntu 16.04 system (kernel 4.10.0.33 from hwe stack) with
>>> the latest 0.28/fixes, including mythweb. python-future and
>>> python-requests-cache are installed.
>>>
>>>
>>> Mike
>>>
>>>
>>>
>>> _______________________________________________
>>> mythtv-users mailing list
>>> mythtv-users@mythtv.org
>>> http://lists.mythtv.org/mailman/listinfo/mythtv-users
>>> http://wiki.mythtv.org/Mailing_List_etiquette
>>> MythTV Forums: https://forum.mythtv.org
>>
>> Mike,
>>
>> Thanks for the suggestion but I already tried dist-upgrade.
>>
>> I am on Ubuntu 14.04 (Trusty) equivalent, actually Linux Mint 17.3.
>> python-future and python-requests-cache are simply not available. Should I
>> try to grab them from another ppa repo?
>>
>> Also sorry for top-posting first time. I don't post on here very often
>> and I hadn't figured out how to make Google Inbox append to the bottom.....
>>
>> Thanks,
>> Tim
>>
>>
>>> _______________________________________________
>>
>>
>
> This is exactly why I wanted to blacklist further builds on trusty.
> --
> -Thomas
>

With any luck, you can enable this PPA and it will just start working

https://launchpad.net/~mythbuntu/+archive/ubuntu/experimental
--
-Thomas
Re: ubuntu mythtv fixes packages haven't 'auto built' since mid july [ In reply to ]
On Mon, Sep 4, 2017 at 3:11 PM Thomas Mashos <thomas@mashos.com> wrote:

> On Mon, Sep 4, 2017 at 2:48 PM Thomas Mashos <thomas@mashos.com> wrote:
>
>> On Mon, Sep 4, 2017 at 2:02 PM Tim Pletcher <pletchtd@gmail.com> wrote:
>>
>>> Mike,
>>>
>>>
>>> On Mon, Sep 4, 2017, 4:45 PM Mike Bibbings <mike.bibbings@gmail.com>
>>> wrote:
>>>
>>>> On 04/09/17 21:24, Tim Pletcher wrote:
>>>>
>>>> Hi all,
>>>>
>>>> I updated my 0.28 installation today to 0.28.20170903 and my
>>>> installation now indicates that mythtv-common and mythweb are held back yet
>>>> all other packages upgraded.
>>>>
>>>> It appears that mythtv-common it is held back due to missing
>>>> dependencies on python-future and python-requests-cache which are indicated
>>>> to be unavailable. Anyone have any guidance as to what to do now? It
>>>> looks like my metadata collection jobs now appear to be failing and I
>>>> assume it is because I have a system which partially on the 2010903 version.
>>>>
>>>> Any suggestions on what I might be able to do to restore version
>>>> consistency?
>>>>
>>>> Thanks,
>>>> Tim
>>>>
>>>> On Sat, Sep 2, 2017 at 8:47 PM Jay Harbeston (ISeePeople) <
>>>> jharbestonus@gmail.com> wrote:
>>>>
>>>>> Yes .28 is correct.
>>>>> Thanks!
>>>>>
>>>>> On Sep 2, 2017, at 7:31 PM, Thomas Mashos <thomas@mashos.com> wrote:
>>>>>
>>>>> I'm assuming this was for 0.28 builds? I've just fixed them.
>>>>>
>>>>> On Thu, Aug 31, 2017 at 10:15 AM jrh <jharbestonus@gmail.com> wrote:
>>>>>
>>>>>> Greetings!
>>>>>>
>>>>>> I was wondering if someone could ‘kick’ the build on mythtv fixes as
>>>>>> it hasn’t been built since around 7/13.
>>>>>>
>>>>>> Thanks!
>>>>>> _______________________________________________
>>>>>> mythtv-users mailing list
>>>>>> mythtv-users@mythtv.org
>>>>>> http://lists.mythtv.org/mailman/listinfo/mythtv-users
>>>>>> http://wiki.mythtv.org/Mailing_List_etiquette
>>>>>> MythTV Forums: https://forum.mythtv.org
>>>>>>
>>>>> --
>>>>> -Thomas
>>>>>
>>>>>
>>>>> Just a thought, when things get held back I try:
>>>>
>>>> sudo apt update
>>>> sudo apt dist-upgrade
>>>>
>>>>
>>>> I have a Lubuntu 16.04 system (kernel 4.10.0.33 from hwe stack) with
>>>> the latest 0.28/fixes, including mythweb. python-future and
>>>> python-requests-cache are installed.
>>>>
>>>>
>>>> Mike
>>>>
>>>>
>>>>
>>>> _______________________________________________
>>>> mythtv-users mailing list
>>>> mythtv-users@mythtv.org
>>>> http://lists.mythtv.org/mailman/listinfo/mythtv-users
>>>> http://wiki.mythtv.org/Mailing_List_etiquette
>>>> MythTV Forums: https://forum.mythtv.org
>>>
>>> Mike,
>>>
>>> Thanks for the suggestion but I already tried dist-upgrade.
>>>
>>> I am on Ubuntu 14.04 (Trusty) equivalent, actually Linux Mint 17.3.
>>> python-future and python-requests-cache are simply not available. Should I
>>> try to grab them from another ppa repo?
>>>
>>> Also sorry for top-posting first time. I don't post on here very often
>>> and I hadn't figured out how to make Google Inbox append to the bottom.....
>>>
>>> Thanks,
>>> Tim
>>>
>>>
>>>> _______________________________________________
>>>
>>>
>>
>> This is exactly why I wanted to blacklist further builds on trusty.
>> --
>> -Thomas
>>
>
> With any luck, you can enable this PPA and it will just start working
>
> https://launchpad.net/~mythbuntu/+archive/ubuntu/experimental
> --
> -Thomas
>

Nevermind, that's not going to work either since I can't seem to get all
the proper dependencies built. So you'll either need to upgrade to 16.04 or
attempt to pull those dependencies from another place.


--
-Thomas
Re: ubuntu mythtv fixes packages haven't 'auto built' since mid july [ In reply to ]
On Mon, Sep 4, 2017 at 9:59 PM Peter Bennett <cats22@comcast.net> wrote:

>
>
> On 09/04/2017 04:24 PM, Tim Pletcher wrote:
> > Hi all,
> >
> > I updated my 0.28 installation today to 0.28.20170903 and my
> > installation now indicates that mythtv-common and mythweb are held
> > back yet all other packages upgraded.
> >
> > It appears that mythtv-common it is held back due to missing
> > dependencies on python-future and python-requests-cache which are
> > indicated to be unavailable. Anyone have any guidance as to what to do
> > now? It looks like my metadata collection jobs now appear to be
> > failing and I assume it is because I have a system which partially on
> > the 2010903 version.
> >
> > Any suggestions on what I might be able to do to restore version
> > consistency?
> >
> > Thanks,
> > Tim
> Those packages are available in ubuntu xenial (16.04) but not earlier
> versions. I assume you have an older version of ubuntu.
>
> Here is my suggestion
>
> Go to Ubuntu package search https://packages.ubuntu.com/
> Search for the following packages in ubuntu-xenial: python-future,
> python-requests, python-requests-cache
> Click on the package name in the web page
> At the bottom of the page there are download links for architecture "all"
> Download the deb file for each package
> install gdebi-core on your system
> Use "sudo gdebi" to install each of these packages.
> Then go back and upgrade again.
>
> This should work, the xenial packages do not have any strange dependencies.
>
> Peter
>
> _______________________________________________
> mythtv-users mailing list
> mythtv-users@mythtv.org
> http://lists.mythtv.org/mailman/listinfo/mythtv-users
> http://wiki.mythtv.org/Mailing_List_etiquette
> MythTV Forums: https://forum.mythtv.org


Thank you Peter. Following your suggestion, I installed the packages from
the Xenial site and was able to resolve the dependencies so that
mythtv-common and mythweb would upgrade to the latest version from the
mythbuntu 0.28 repo.

Consequently, I had to also update the python-urllib3 package with the one
from the Xenial site using the same approach because the metadata grabber
scripts were still failing. The newer urllib3 package is needed because
the version from Trusty is not compatible with the
urllib3.disable_warnings() call added to the latest 0.28 metadata scripts.

My system seems to be working without further issue now even though I
remain on 14.04.

Tim
Re: ubuntu mythtv fixes packages haven't 'auto built' since mid july [ In reply to ]
On 09/05/2017 08:37 AM, Tim Pletcher wrote:
>
>
> On Mon, Sep 4, 2017 at 9:59 PM Peter Bennett <cats22@comcast.net
> <mailto:cats22@comcast.net>> wrote:
>
>
>
> On 09/04/2017 04:24 PM, Tim Pletcher wrote:
> > Hi all,
> >
> > I updated my 0.28 installation today to 0.28.20170903 and my
> > installation now indicates that mythtv-common and mythweb are held
> > back yet all other packages upgraded.
> >
> > It appears that mythtv-common it is held back due to missing
> > dependencies on python-future and python-requests-cache which are
> > indicated to be unavailable. Anyone have any guidance as to what
> to do
> > now?  It looks like my metadata collection jobs now appear to be
> > failing and I assume it is because I have a system which
> partially on
> > the 2010903 version.
> >
> > Any suggestions on what I might be able to do to restore version
> > consistency?
> >
> > Thanks,
> > Tim
> Those packages are available in ubuntu xenial (16.04) but not earlier
> versions. I assume you have an older version of ubuntu.
>
> Here is my suggestion
>
> Go to Ubuntu package search https://packages.ubuntu.com/
> Search for the following packages in ubuntu-xenial: python-future,
> python-requests, python-requests-cache
> Click on the package name in the web page
> At the bottom of the page there are download links for
> architecture "all"
> Download the deb file for each package
> install gdebi-core on your system
> Use "sudo gdebi" to install each of these packages.
> Then go back and upgrade again.
>
> This should work, the xenial packages do not have any strange
> dependencies.
>
> Peter
>
> _______________________________________________
> mythtv-users mailing list
> mythtv-users@mythtv.org <mailto:mythtv-users@mythtv.org>
> http://lists.mythtv.org/mailman/listinfo/mythtv-users
> http://wiki.mythtv.org/Mailing_List_etiquette
> MythTV Forums: https://forum.mythtv.org
>
>
> Thank you Peter.  Following your suggestion, I installed the packages
> from the Xenial site and was able to resolve the dependencies so that
> mythtv-common and mythweb would upgrade to the latest version from the
> mythbuntu 0.28 repo.
>
> Consequently, I had to also update the python-urllib3 package with the
> one from the Xenial site using the same approach because the metadata
> grabber scripts were still failing.  The newer urllib3 package is
> needed because the version from Trusty is not compatible with the
> urllib3.disable_warnings() call added to the latest 0.28 metadata
> scripts.
>
> My system seems to be working without further issue now even though I
> remain on 14.04.
>
> Tim
Thanks!  This info saved me a lot of pain and time.  Got the latest 0.28
running on 14.04, and fixed my metadatalookup error.

Guess I will have to schedule an upgrade to 16.04.